package main

import (
	"net/http"

	"github.com/julienschmidt/httprouter"
)

func serveOrReverse(forced_url string) func(w http.ResponseWriter, r *http.Request, ps httprouter.Params) {
	return func(w http.ResponseWriter, r *http.Request, ps httprouter.Params) {
		if forced_url != "" {
			r.URL.Path = forced_url
		}
		http.FileServer(Assets).ServeHTTP(w, r)
	}
}

func init() {
	Router().GET("/", serveOrReverse(""))
	Router().GET("/auth", serveOrReverse("/"))
	Router().GET("/grades", serveOrReverse("/"))
	Router().GET("/surveys", serveOrReverse("/"))
	Router().GET("/surveys/*_", serveOrReverse("/"))
	Router().GET("/users", serveOrReverse("/"))
	Router().GET("/users/*_", serveOrReverse("/"))
	Router().GET("/css/*_", serveOrReverse(""))
	Router().GET("/fonts/*_", serveOrReverse(""))
	Router().GET("/img/*_", serveOrReverse(""))
	Router().GET("/js/*_", serveOrReverse(""))
	Router().GET("/views/*_", serveOrReverse(""))
}
